curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/interactions/{interaction_external_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/interactions/{interaction_external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/employees/{employee_external_id}/interactions/{interaction_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"interaction_type": "vacancy_liked",
"timestamp": "2023-06-08T14:42:31.130855",
"vacancy_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7"
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Get Employee Interaction
Get an Employee Interaction from an Employee.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID linked to an Employee, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Unique ID linked to an Employee Interaction, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Response
OK
Default structure of an Employee Interaction.
The unique Employee Interaction ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Type of the Employee Interaction.
"vacancy_liked"
The completion date (in IS08601 format) of the Employee Interaction. This is the point in time at which the Employee interacted with a Vacancy or title. If not given, it will be automatically set to the creation time of the Employee Interaction.
"2025-05-02"
The ID of the Vacancy with which the Employee has interacted. Either a vacancy_id or a title should be provided, and not both.
"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
The title with which the Employee has interacted. Either a vacancy_id or a title should be provided, but not both. A title can be any kind of free text, and does not need to be associated with an existing Vacancy.
"mechanical engineer"
Was this page helpful?